Bug 151808 - presence of HWADDR= in ifcfg-ethX cause dhclient run twice
presence of HWADDR= in ifcfg-ethX cause dhclient run twice
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-03-22 11:12 EST by Martin (calim)
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 17:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin (calim) 2005-03-22 11:12:51 EST
Description of problem:

presence of HWADDR= in ifcfg-ethX cause dhclient runs two time on this interface.

How reproducible:

full reproductible.

Steps to Reproduce:
1. make sure you have only one NIC configured in /etc/sysconfig/network-script
( for example ifcfg-eth0 ), with ONBOOT=yes and BOOTPROTO=dhcp. It's to be sure
that DHCP will not be used by another NIC of your server.

2. add HWADDR=<your MAC addr> to this file.
3. reboot your server.
4. There are two dhclient's running process.

Actual results:

Two dhclient running processes, on the same interface

1856 ?        Ss     0:00 /sbin/dhclient -1 -q -lf
/var/lib/dhcp/dhclient-eth0.leases -pf /var/run/dhclient-eth0.pid eth0
 2447 ?        S<s    0:00 /sbin/dhclient -1 -q -lf
/var/lib/dhcp/dhclient-eth0.leases -pf /var/run/dhclient-eth0.pid eth0

Expected results:

One dhclient process by interface.

Additional info:
If you comment the concerned line HWADDR= with a "#", you'll
find two dhclient running processes too !
Comment 1 Martin (calim) 2005-03-22 11:15:30 EST
Here it is by deduction the workaround :

1. Remove the line which contain HWADDR= in ifcfg-eth0
2. reboot your server
3. There is only one dhclient running.
Comment 2 Bill Nottingham 2005-03-22 23:09:58 EST
This is likely fixed with hotplug-2002_04_1-20.4, which should be in the beta
channel for the next update soon.

Note You need to log in before you can comment on or make changes to this bug.